> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.docs.gooclaim.com/llms.txt.
> For full documentation content, see https://api.docs.gooclaim.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.docs.gooclaim.com/_mcp/server.

# Inspect a token's claims

POST https://api.gooclaim.com/v1/auth/introspect
Content-Type: application/json

Reference: https://api.docs.gooclaim.com/api-reference/auth-service/introspection/introspect-token

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Gooclaim Auth Service
  version: 1.0.0
paths:
  /v1/auth/introspect:
    post:
      operationId: introspect-token
      summary: Inspect a token's claims
      tags:
        - subpackage_introspection
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Token claims
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntrospectionResponse'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                token:
                  type: string
              required:
                - token
servers:
  - url: https://api.gooclaim.com
    description: Production
  - url: https://api.dev.gooclaim.com
    description: Development
components:
  schemas:
    IntrospectionResponse:
      type: object
      properties:
        active:
          type: boolean
        sub:
          type: string
        tenant_id:
          type: string
        scope:
          type: string
        iat:
          type: integer
        exp:
          type: integer
        aud:
          type: string
      title: IntrospectionResponse
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{
  "token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF"
}
```

**Response**

```json
{
  "active": true,
  "sub": "user@example.com",
  "tenant_id": "company-123",
  "scope": "read:users write:orders",
  "iat": 1682000000,
  "exp": 1682003600,
  "aud": "gooclaim-api"
}
```

**SDK Code**

```python
import requests

url = "https://api.gooclaim.com/v1/auth/introspect"

payload = { "token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gooclaim.com/v1/auth/introspect';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"token":"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gooclaim.com/v1/auth/introspect"

	payload := strings.NewReader("{\n  \"token\": \"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gooclaim.com/v1/auth/introspect")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"token\": \"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.gooclaim.com/v1/auth/introspect")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"token\": \"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.gooclaim.com/v1/auth/introspect', [
  'body' => '{
  "token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gooclaim.com/v1/auth/introspect");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"token\": \"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwidGVuYW50X2lkIjoiY29tcGFueS0xMjMiLCJzY29wZSI6InJlYWQ6dXNlcnMgd3JpdGU6b3JkZXJzIiwiaWF0IjoxNjgyMDAwMDAwLCJleHAiOjE2ODIwMDM2MDAsImF"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gooclaim.com/v1/auth/introspect")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```